---
title: Window.dialogArguments
slug: Web/API/Window/dialogArguments
tags:
  - API
  - Deprecated
  - HTML DOM
  - NeedsExample
  - NeedsMarkupWork
  - NeedsSpecTable
  - Property
  - Reference
  - Window
---
<p>{{ Fx_minversion_header(3) }} {{ deprecated_header() }}{{APIRef}}</p>

<p><span class="seoSummary">The <code>dialogArguments</code> property returns the parameters that were passed into the {{domxref("window.showModalDialog()")}} method.</span> This lets you determine what parameters were specified when the modal dialog was created.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>value</var> = window.dialogArguments;</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.dialogArguments")}}</p>
